Class | Irc::QueueRing
In: | lib/rbot/ircsocket.rb
Parent: | Object

### Methods

clear empty? length new next push shift size

### Public Class methods

new()

A QueueRing is implemented as an array with elements in the form [chan, [message1, message2, …] Note that the channel `chan` has no actual bearing with the channels to which messages will be sent

### Public Instance methods

clear()
empty?()
length()
next()
push(mess, chan)
shift()
size()

Alias for length

[Validate]